Bug 152071 - security/cyrus-sasl2: fix GSSAPI when using heimdal from ports
Summary: security/cyrus-sasl2: fix GSSAPI when using heimdal from ports
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Hajimu UMEMOTO
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-11-09 10:00 UTC by Joerg Pulz
Modified: 2011-02-05 07:00 UTC (History)
0 users

See Also:


Attachments
security__cyrus-sasl2.diff (3.16 KB, patch)
2010-11-09 10:00 UTC, Joerg Pulz
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Joerg Pulz 2010-11-09 10:00:22 UTC
	Enable the configure tests for GSS_C_NT_HOSTBASED_SERVICE and
	GSS_C_NT_USER_NAME if --with-gss_impl=heimdal is used.
	Currently the tests are only done for CyberSafe gss implementation.
	After the update of security/heimdal to version 1.4, one gets unresolved
	symbol "gss_nt_service_name" errors when dlopening
	lib/sasl2/libgssapiv2.so.2 which is linked against the ports libraries.

	The relevant code block is in plugins/gssapi.c :
		#ifndef HAVE_GSS_C_NT_HOSTBASED_SERVICE
		extern gss_OID gss_nt_service_name;
		#define GSS_C_NT_HOSTBASED_SERVICE gss_nt_service_name
		#endif

	The attached patch resolves the above mentioned problem.
	As both base heimdal and security/heimdal provide
	GSS_C_NT_HOSTBASED_SERVICE and GSS_C_NT_USER_NAME it will work with
	both.
Comment 1 Edwin Groothuis freebsd_committer 2010-11-09 10:00:31 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ume

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Joerg Pulz 2010-11-12 16:53:10 UTC
Dear Hajimu UMEMOTO,

i send you this mail in case you missed the following PR which belongs to 
security/cyrus-sasl2. Please take a look at it.

> http://www.freebsd.org/cgi/query-pr.cgi?pr=152071

Any comments are much appreciated.

Thanks and kind regards
Joerg

-- 
The beginning is the most important part of the work.
 				-Plato
Comment 3 dfilter service freebsd_committer 2011-02-05 06:55:37 UTC
miwi        2011-02-05 06:55:32 UTC

  FreeBSD ports repository

  Modified files:
    security/cyrus-sasl2 Makefile 
    security/cyrus-sasl2/files patch-configure 
  Log:
  * Fix GSSAPI when using heimdal from ports
  
  PR:             152071
  Submitted by:   Joerg Pulz <Joerg.Pulz@frm2.tum.de>
  Approved by:    maintainer timeout
  Feature safe:   yes
  
  Revision  Changes    Path
  1.144     +1 -1      ports/security/cyrus-sasl2/Makefile
  1.16      +28 -12    ports/security/cyrus-sasl2/files/patch-configure
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Martin Wilke freebsd_committer 2011-02-05 06:55:48 UTC
State Changed
From-To: open->closed

Committed. Thanks!